$(document).ready(function () {
  // youtube subscribers

  var chart = document.getElementById("area-chart-spline").getContext("2d");
  gradient = chart.createLinearGradient(500, 0, 100, 0);

  gradient.addColorStop(0, "rgba(110, 18, 186, 0.75)");
  gradient.addColorStop(0.4, "rgba(181, 66, 140, 0.75)");
  gradient.addColorStop(1, "rgba(252, 114, 94, 0.75)");

  var data = {
    labels: [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
    ],
    datasets: [
      {
        label: "Custom Label Name",
        backgroundColor: gradient,
        pointBackgroundColor: "white",
        borderWidth: 1,
        borderColor: '#DFE2ED',
        borderColor: gradient,
        data: [0, 4, 3, 5, 5, 8, 7, 8, 6, 10],
      },
    ],
  };

  var as_options = {
    responsive: true,
    maintainAspectRatio: true,
    animation: {
      easing: "easeInOutQuad",
      duration: 520,
    },
    scales: {
      xAxes: [
        {
          gridLines: {
            color: "rgba(200, 200, 200, 0.05)",
            lineWidth: 1,
          },
        },
      ],
      yAxes: [
        {
          gridLines: {
            color: "rgba(200, 200, 200, 0.08)",
            lineWidth: 1,
          },
        },
      ],
    },
    elements: {
      line: {
        tension: 0.4,
      },
    },
    legend: {
      display: false,
    },
    point: {
      backgroundColor: "white",
    },
    tooltips: {
      titleFontFamily: "inherit",
      backgroundColor: "rgba(0,0,0,0.3)",
      titleFontColor: "red",
      caretSize: 5,
      cornerRadius: 2,
      xPadding: 10,
      yPadding: 10,
    },
  };

  var chartInstance = new Chart(chart, {
    type: "line",
    data: data,
    options: as_options,
  });
//   end of youtube subscribers

  // Donut-chart
  var dc_options = {
    series: [44, 55, 13, 33],
    chart: {
      width: 300,
      type: "donut",
    },
    labels: ["Instagram", "Google", "Facebook", "Pinterest"],
    colors: ['#ECB22E', '#5A3FFF', '#EB1E79', '#37AC00'],
    dataLabels: {
      enabled: false,
    },
    responsive: [
      {
        breakpoint: 480,
        options: {
          chart: {
            width: 200,
          },
          legend: {
            show: false,
          },
        },
      },
    ],
    legend: {
      position: "bottom",
      offsetY: 0,
      height: 40,
    },
  };

  var dc_chart = new ApexCharts(document.querySelector("#donut-chart"), dc_options);
  dc_chart.render();
// end of donut chart

//donut-chart 3d
var options = {
    series: [44, 55, 41, 17],
    labels: ["Instagram", "Google", "Facebook", "Pinterest"],
    colors: ['#ECB22E', '#5A3FFF', '#EB1E79', '#37AC00'],
    chart: {
    type: 'donut',
  },
    legend: {
      position: 'bottom'
    }
  };

  var chart = new ApexCharts(document.querySelector("#donut-chart3d"), options);
  chart.render();
// end od donut-chart 3d

//   polar area chart
var ctx = document.getElementById('polarAreaChart').getContext('2d');
var polarAreaChart = new Chart(ctx, {
    type: 'polarArea',
    data: {
        labels: ["Instagram", "Google", "Facebook", "Pinterest"],
        datasets: [{
            data: [50, 25, 35, 40], // Replace with your own data values
            backgroundColor: ['#ECB22E', '#5A3FFF', '#EB1E79', '#37AC00'], // Replace with desired colors
            borderColor: 'white',
          borderWidth: 1
        }]
    },
    options: {
        responsive: true,
        maintainAspectRatio: false,
        scale: {
            ticks: {
                display: false,
                beginAtZero: true
            }
        }
    }
});
// end of polar area chart

// line column
var lc_options = {
    colors: ['#EB1E79', '#ECB22E'],
    series: [{
    name: 'Product 1',
    type: 'column',
    data: [440, -50, 304, -150, 100, 33, 200, -50]
  }, {
    name: 'Product 2',
    type: 'line',
    data: [400, -48, 280, -130, 80, 30, 150, -30]
  }],
    chart: {
    height: 350,
    type: 'line',
  },
  stroke: {
    width: [0, 4]
  },
  dataLabels: {
    enabled: false,
    // enabledOnSeries: [1]
  },
  labels: ['Jan', 'Feb', 'March', 'April', 'May', 'June', 'July', 'Aug'],
  xaxis: {
    // type: 'datetime'
  },
  };

  var lc_chart = new ApexCharts(document.querySelector("#line_column"), lc_options);
  lc_chart.render();

// line column 2
var lc2_options = {
    colors: ['#EB1E79', '#ECB22E'],
    series: [{
    name: 'Product 1',
    type: 'column',
    data: [440, 350, 304, 150, 100, 33, 200, 50]
  }, {
    name: 'Product 2',
    type: 'line',
    data: [400, 348, 280, 130, 80, 30, 150, 30]
  }],
    chart: {
    height: 350,
    type: 'line',
  },
  stroke: {
    width: [0, 4]
  },
  dataLabels: {
    enabled: false,
    // enabledOnSeries: [1]
  },
  labels: ['Jan', 'Feb', 'March', 'April', 'May', 'June', 'July', 'Aug'],
  xaxis: {
    // type: 'datetime'
  },
  };

  var lc2_chart = new ApexCharts(document.querySelector("#line_column2"), lc2_options);
  lc2_chart.render();



// horizontal bar chart
var hb_options = {
    series: [{
    name: 'Males',
    data: [0.4, 1.5, 2.9, 3.8, 3.9, 4, 4.5, 3]
  },
  {
    name: 'Females',
    data: [-0.8, -1.04, -2.85, -3.96, -4.3, -4, -3.4, -2.8]
  }
  ],
    chart: {
    type: 'bar',
    height: 365,
    stacked: true
  },
  colors: ['#008FFB', '#FF4560'],
  plotOptions: {
    bar: {
      horizontal: true,
      barHeight: '80%',
    },
  },
  dataLabels: {
    enabled: false
  },
  stroke: {
    width: 1,
    colors: ["#fff"]
  },
  
  grid: {
    xaxis: {
      lines: {
        show: false
      }
    }
  },
  yaxis: {
    min: -5,
    max: 5,
    title: {
      // text: 'Age',
    },
  },
  tooltip: {
    shared: false,
    x: {
      formatter: function (val) {
        return val
      }
    },
    y: {
      formatter: function (val) {
        return Math.abs(val) + "%"
      }
    }
  },
  xaxis: {
    categories: [ '35-39', '30-34', '25-29', '20-24', '15-19', '10-14', '5-9', '0-4'],
    // title: {
    //   text: 'Percent'
    // },
    labels: {
      formatter: function (val) {
        return Math.abs(Math.round(val)) + "%"
      }
    }
  },
  };

  var hb_chart = new ApexCharts(document.querySelector("#bar_negative"), hb_options);
  hb_chart.render();
// horizontal bar chart ends


// column-negative
var cn_options = {
    series: [{
    name: 'Cash Flow',
    data: [1.45, -12.6, -14.16, 0.34, 3.88, 8.1, 17.1, 19.8, -18.6, -48.6, -41.1]
  }],
    chart: {
    type: 'bar',
    height: 350
  },
  plotOptions: {
    bar: {
      colors: {
        ranges: [{
          from: -100,
          to: -46,
          color: '#F15B46'
        }, {
          from: -45,
          to: 0,
          color: '#FEB019'
        }]
      },
      columnWidth: '80%',
    }
  },
  dataLabels: {
    enabled: false,
  },
  yaxis: {
    labels: {
      formatter: function (y) {
        return y.toFixed(0) + "%";
      }
    }
  },
  xaxis: {
    type: 'datetime',
    categories: [
      '2011-01-01', '2011-02-01', '2011-03-01', '2011-04-01', '2011-05-01', '2011-06-01',
      '2011-07-01', '2011-08-01', '2011-09-01', '2011-10-01'
    ],
    labels: {
      rotate: -90
    }
  }
  };

  var cn_chart = new ApexCharts(document.querySelector("#column_negative"), cn_options);
  cn_chart.render();
// column-negative ends
});
//   end of function
