//---------- Enable Bootstrap tooltips--------//
var tooltipTriggerList = [].slice.call(
  document.querySelectorAll('[data-bs-toggle="tooltip"]')
);
var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
  return new bootstrap.Tooltip(tooltipTriggerEl, {
    customClass: "custom-tooltip", // Add custom class to the tooltip
  });
});

// Extra page hover dropdown script

const iconList = document.querySelector(".icon-list");
const extraContainer = document.querySelector(".extra-container");

extraContainer.addEventListener("mouseover", () => {
  iconList.style.overflowY = "visible";
});

extraContainer.addEventListener("mouseout", () => {
  iconList.style.overflowY = "auto";
});

// Toggle dark mode

const body = document.querySelector("body");

function toggleDarkMode() {
  if (body.classList.contains("dark-mode")) {
    body.classList.remove("dark-mode");
    body.classList.add("light-mode");
    localStorage.setItem("theme", "light-mode");
  } else {
    body.classList.remove("light-mode");
    body.classList.add("dark-mode");
    localStorage.setItem("theme", "dark-mode");
  }
}

if (localStorage.getItem("theme") === "dark-mode") {
  body.classList.add("dark-mode");
}

if (localStorage.getItem("theme") === "light-mode") {
  body.classList.add("light-mode");
}

$(document).ready(function () {
  // Dashboard's followers statics chart js
  if ($("#follower-statics").length > 0) {
    var options = {
      series: [
        {
          name: "Like",
          data: [50, 45, 60, 70, 50, 45],
        },
        {
          name: "Purchase",
          data: [50, 45, 60, 70, 50, 45],
        },
        {
          name: "Subscribe",
          data: [50, 45, 60, 70, 50, 45],
        },
      ],
      colors: ["#ECB22E", "#EB1E79", "#6366F1"],
      chart: {
        type: "bar",
        height: 320,
        stacked: true,

        zoom: {
          enabled: true,
        },
        toolbar: {
          show: false,
        },
      },
      responsive: [
        {
          breakpoint: 280,
        },
      ],
      plotOptions: {
        bar: {
          //horizontal: false,
          columnWidth: "15%",
          barHeight: "70%",
          // borderRadius: 30
        },
        column: {
          grouping: false,
          borderRadiusTopLeft: 10,
          borderRadiusTopRight: 10,
        },
      },
      tooltip: {
        style: {
          fontSize: "12px",
          borderRadius: 4,
        },
        y: {
          formatter: function (val) {
            if (val > 0) {
              return val + "K";
            } else {
              return Math.abs(val) + "K";
            }
          },
        },
      },
      // colors: [baseColor, negativeColor],
      grid: {
        borderColor: "#DFE2ED",
        strokeDashArray: 4,
        yaxis: {
          lines: {
            show: true,
          },
        },
      },
      legend: {
        show: false,
      },
      dataLabels: {
        enabled: false,
      },
      xaxis: {
        categories: [
          " Instagram ",
          "Facebook",
          "Dribble",
          "Twitter",
          "Pinterest",
          "Tumblr",
        ],
        axisBorder: {
          show: false,
        },
        axisTicks: {
          show: false,
        },
      },
      legend: {
        position: "top",
        horizontalAlign: "right",
        offsetY: 0,
        markers: {
          width: 12,
          height: 12,
          strokeWidth: 0,
          radius: 12,
          fontSize: "10px",
        },
      },

      fill: {
        opacity: 1,
      },
    };

    var chart = new ApexCharts(
      document.querySelector("#follower-statics"),
      options
    );
    chart.render();
  }

  // facebook campaign
  if ($("#facebook-campaign").length > 0) {
    var options = {
      series: [
        {
          name: "Sales",
          data: [30, 75, 55, 45, 30, 60, 75, 50],
          margin: {
            left: 5,
            right: 5,
          },
        },
      ],
      colors: ["#ECB22E", "#EB1E79", "#6366F1"],
      chart: {
        fontFamily: "inherit",
        type: "bar",
        height: 280,
        toolbar: {
          show: false,
        },
        sparkline: {
          enabled: true,
        },
      },
      plotOptions: {
        bar: {
          horizontal: false,
          columnWidth: ["35%"],
          borderRadius: 6,
        },
      },
      legend: {
        show: false,
      },
      dataLabels: {
        enabled: false,
      },
      stroke: {
        show: true,
        width: 4,
        colors: ["transparent"],
      },
      xaxis: {
        axisBorder: {
          show: false,
        },
        axisTicks: {
          show: false,
        },
        labels: {
          show: false,
          style: {
            colors: "red",
            fontSize: "12px",
          },
        },
        crosshairs: {
          show: false,
        },
      },
      yaxis: {
        labels: {
          show: false,
          style: {
            colors: "green",
            fontSize: "12px",
          },
        },
      },
      fill: {
        type: "solid",
      },
      states: {
        normal: {
          filter: {
            type: "none",
            value: 0,
          },
        },
        hover: {
          filter: {
            type: "none",
            value: 0,
          },
        },
        active: {
          allowMultipleDataPointsSelection: false,
          filter: {
            type: "none",
            value: 0,
          },
        },
      },
      tooltip: {
        style: {
          fontSize: "12px",
        },
        x: {
          formatter: function (val) {
            return "Feb: " + val;
          },
        },
        y: {
          formatter: function (val) {
            return val + "%";
          },
        },
      },
      colors: ["yellow", "pink"],
      grid: {
        borderColor: "#d7d7d7",
        strokeDashArray: 4,
        yaxis: {
          lines: {
            show: true,
          },
        },
        padding: {
          top: 10,
          left: 25,
          right: 25,
        },
      },
    };

    var chart = new ApexCharts(
      document.querySelector("#facebook-campaign"),
      options
    );
    chart.render();
  }

  // youtube subscribers

  var chart = document.getElementById("youTube-subscribers").getContext("2d");
  gradient = chart.createLinearGradient(500, 0, 100, 0);

  gradient.addColorStop(0, "rgba(110, 18, 186, 0.75)");
  gradient.addColorStop(0.4, "rgba(181, 66, 140, 0.75)");
  gradient.addColorStop(1, "rgba(252, 114, 94, 0.75)");

  var data = {
    labels: [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
    ],
    datasets: [
      {
        label: "Custom Label Name",
        backgroundColor: gradient,
        pointBackgroundColor: "white",
        borderWidth: 1,
        borderColor: gradient,
        data: [0, 4, 3, 5, 5, 8, 7, 8, 6, 10],
      },
    ],
  };

  var options = {
    responsive: true,
    maintainAspectRatio: false,
    animation: {
      easing: "easeInOutQuad",
      duration: 520,
    },
    scales: {
      xAxes: [
        {
          gridLines: {
            color: "rgba(200, 200, 200, 0.05)",
            lineWidth: 1,
          },
        },
      ],
      yAxes: [
        {
          gridLines: {
            color: "rgba(200, 200, 200, 0.08)",
            lineWidth: 1,
          },
        },
      ],
    },
    elements: {
      line: {
        tension: 0.4,
      },
    },
    legend: {
      display: false,
    },
    point: {
      backgroundColor: "white",
    },
    tooltips: {
      titleFontFamily: "inherit",
      backgroundColor: "rgba(0,0,0,0.3)",
      titleFontColor: "red",
      caretSize: 5,
      cornerRadius: 2,
      xPadding: 10,
      yPadding: 10,
    },
  };

  var chartInstance = new Chart(chart, {
    type: "line",
    data: data,
    options: options,
  });

  // conversion chart starts
var options = {
  chart: {
    width: "100%",
    height: 350,
    type: "donut"
  },
  plotOptions: {
    pie: {
      customScale: 1
    }
  },
  dataLabels: {
    enabled: false
  },
  legend: {
    position: "bottom",
    horizontalAlign: "center",
    offsetY: 0,
  },
  series: [44, 55, 13, 33],
  labels: ['Instagram', 'Google', 'Facebook', 'Pinterest'],
};

var charConversion = new ApexCharts(document.getElementById("conversion"), options);
charConversion.render();

function random() {
  return Math.floor(Math.random() * (100 - 1 + 1)) + 1;
}

function appendData() {
  var arr = charConversion.w.globals.series.map(() => {
    return random();
  });
  arr.push(random());
  return arr;
}

function removeData() {
  var arr = charConversion.w.globals.series.map(() => {
    return random()
  });
  arr.pop();
  return arr;
}

function randomize() {
  return charConversion.w.globals.series.map(() => {
    return random();
  });
}

function reset() {
  return options.series;
}

// conversion chart ends

});

// conversion

var pchart = document.getElementById("youTube-subscribers").getContext("2d");
pgradient = pchart.createLinearGradient(500, 0, 100, 0);

pgradient.addColorStop(0, "rgba(110, 18, 186, 0.75)");
pgradient.addColorStop(0.4, "rgba(181, 66, 140, 0.75)");
pgradient.addColorStop(1, "rgba(252, 114, 94, 0.75)");

var poptions = {
  series: [44, 55, 41, 17, 15],
  chart: {
    type: "donut",
  },
  responsive: [
    {
      breakpoint: 480,
      options: {
        chart: {
          width: 200,
        },
        legend: {
          position: "bottom",
        },
      },
    },
  ],
};

